Subject: bug#41129: outline-mode: New keybindings for demote/promote/move-subtree

From: Howard Melman <[email-masked]>
Date: Sat, 30 Jan 2021 14:40:37 -0500

Eli Zaretskii <[email-masked]> writes:

> The bindings have nothing to do with bidirectional text.  C-<RIGHT>
> and C-<LEFT> (and the corresponding M- bindings) have a meaning in
> strict left-to-right text as well: they move by words in the
> corresponding directions.

>> Does outline-mode support right-to-left oriented outlines?
>> Does org?
>
> Yes to both questions, but again: the issue at hand has nothing to do
> with bidirectional editing.

I mean yes, they do something expected in left-to-right
text, but in strict left-to-right usage these bindings are
unnecessary because of M-f and M-b.  It's not like emacs
enables cua-mode by default because other programs use those
bindings and users expect it.

Even the emacs manual says:  "This command (‘right-word’)
behaves like ‘M-f’, except it moves _backward_ by one word
if the current paragraph is right-to-left. *Note Bidirectional Editing."

>> Maybe these bindings could be in another minor-mode that
>> could be enabled by those users that want them?
>> outline-use-org-bindings-minor-mode. 
>
> I think the idea is that many users want them.

I agree.  

-- 

Howard